Utilisation de Kafka sécurisé dans le Studio

EnrichVersion
6.4
EnrichProdName
Talend Data Fabric
Talend Real-Time Big Data Platform
Talend Big Data Platform
Talend Open Studio for Big Data
Talend Big Data
task
Gouvernance de données > Systèmes tiers > Composants d'authentication
Qualité et préparation de données > Systèmes tiers > Composants d'authentication
Création et développement > Systèmes tiers > Composants d'authentication
Qualité et préparation de données > Systèmes tiers > Composants d'authentication > Composants Kerberos
Qualité et préparation de données > Systèmes tiers > Composants Messaging (Intégration) > Composants Kafka
Création et développement > Systèmes tiers > Composants Messaging (Intégration) > Composants Kafka
Gouvernance de données > Systèmes tiers > Composants d'authentication > Composants Kerberos
Création et développement > Systèmes tiers > Composants d'authentication > Composants Kerberos
Gouvernance de données > Systèmes tiers > Composants Messaging (Intégration) > Composants Kafka
EnrichPlatform
Studio Talend

Utilisation de Kafka sécurisé dans le Studio

Vous pouvez utiliser Kafka en toute sécurité avec le Studio Talend. Toutefois, toutes les options de sécurité ne sont pas supportées dans toutes les versions de Kafka. Les versions supportées dépendent du type de Job, de la version de Talend et de la version de Kafka.

Cet article fournit une matrice présentant les options Kerberos/SSL supportées par les différentes versions de Kafka et de Talend.

Environnement

  • Cette matrice s’applique à la version 6.2 et aux versions postérieures du Studio Talend.
  • Les composants Kafka sur Spark sont uniquement disponibles avec les souscriptions à Talend Real-Time Big Data Platform et à Talend Data Fabric.

Matrice de support

Les options de sécurité sont présentées dans les cases du tableau ci-dessous.

 

Talend v6.2

Talend v6.3

 

Kafka 0.9

Kafka 0.9

Kafka 0.10

Jobs standard

Kerberos

Kerberos

Kerberos

SSL

SSL

SSL

Spark 1.6

-

-

-

Spark 2.0

-

SSL

SSL

Spark ne possède pas actuellement l'API nécessaire pour fonctionner avec Kafka implémentant la sécurité Kerberos.

Pour vérifier quelle version de Kafka votre Job Spark utilise, parcourez le package relatif à Kafka du module Spark de votre distribution Hadoop. Votre Job Spark utilise la version de Kafka définie dans le package.